RubyGems Navigation menu

rubocop 0.58.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.56.3 - September 11, 2023 (605 KB)
  2. 1.56.2 - August 29, 2023 (604 KB)
  3. 1.56.1 - August 21, 2023 (604 KB)
  4. 1.56.0 - August 09, 2023 (604 KB)
  5. 1.55.1 - July 31, 2023 (603 KB)
  6. 0.58.1 - July 10, 2018 (394 KB)
Show all versions (253 total)

Runtime Dependencies (7):

jaro_winkler ~> 1.5.1
parallel ~> 1.10
parser != 2.5.1.1, >= 2.5
powerpack ~> 0.1
rainbow < 4.0, >= 2.2.2
unicode-display_width >= 1.0.1, ~> 1.0

Development Dependencies (2):

bundler ~> 1.3
rack >= 2.0

Owners:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

26ca690212ae00b00435e767f9b3f46ffb1f1143a5f25fe728e638d15ba65868

Total downloads 355,784,820

For this version 855,506

License:

MIT

Required Ruby Version: >= 2.2.0

New versions require MFA: true

Links: